summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorBruce A. Locke <blocke@gentoo.org>2002-06-01 02:55:47 +0000
committerBruce A. Locke <blocke@gentoo.org>2002-06-01 02:55:47 +0000
commit64b2a30d942dbd1dec4bcb2ddeac0be0457556fb (patch)
tree06f4e5cf7e057ca97e92654fcbab44f3a2273c5e /eclass
parentmasked down to <=qt-3.0.3.1 (diff)
downloadgentoo-2-64b2a30d942dbd1dec4bcb2ddeac0be0457556fb.tar.gz
gentoo-2-64b2a30d942dbd1dec4bcb2ddeac0be0457556fb.tar.bz2
gentoo-2-64b2a30d942dbd1dec4bcb2ddeac0be0457556fb.zip
prelim gnome2 eclass brainstorm... let the madness begin
Diffstat (limited to 'eclass')
-rw-r--r--eclass/gnome2.eclass53
1 files changed, 53 insertions, 0 deletions
diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
new file mode 100644
index 000000000000..cd0ae4278566
--- /dev/null
+++ b/eclass/gnome2.eclass
@@ -0,0 +1,53 @@
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.1 2002/06/01 02:55:47 blocke Exp $
+
+# Gnome 2 ECLASS
+ECLASS="gnome2"
+
+# DEBUG for Beta
+# Do _NOT_ strip symbols in the build! Need both lines for Portage 1.8.9+
+DEBUG="yes"
+RESTRICT="nostrip"
+# force debug information
+CFLAGS="${CFLAGS} -g"
+CXXFLAGS="${CXXFLAGS} -g"
+
+
+gnome2_src_compile() {
+
+ libtoolize --copy --force
+
+ econf "${1} --enable-debug=yes" || die "./configure failure"
+ emake || die "compile failure"
+
+}
+
+gnome2_src_install() {
+
+ einstall ${1}
+
+ # manual document installation
+ if [ -n "${DOC}" && use doc ]
+ then
+ for x in $DOC; do dodoc $x; done
+ fi
+
+}
+
+gnome2_pkg_postinst() {
+
+ # manual schema installation
+ if [ -n "${SCHEMA}" ]
+ then
+ for x in $SCHEMA
+ do
+ /usr/bin/gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/${SCHEMA}
+ done
+ fi
+}
+
+
+
+